Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.common
Annotation Type Protocol

    @Target(value={TYPE,METHOD})
    @Retention(value=RUNTIME)
    public @interface Protocol

The protocol annotation specifies the protocols and message styles that may be used by clients to communicate with your service. The default settings permit your service to send and receive data using the most common protocols.

Optional Element Summary
`boolean` | `formGet` formGet specifies whether the service will accept data sent in HTTP GET format.
`boolean` | `formPost` formPost specifies whether the service will accept data sent in HTTP POST format.
`boolean` | `httpSoap` httpSoap specifies whether the service will accept SOAP messages sent via HTTP.
`boolean` | `httpSoap12` httpSoap12 specifies whether the service will accept SOAP version 1.2 messages sent over HTTP.
`boolean` | `httpXml` httpXml specifies whether the service will accept XML messages sent via HTTP.
`boolean` | `javaCall` javaCall specifies that RMI calls are understood.
`boolean` | `jmsSoap` jmsSoap specifies whether the service will accept SOAP messages sent via Java Messaging Service.
`boolean` | `jmsSoap12` jmsSoap12 specifies whether the service will accept SOAP version 1.2 messages sent via JMS.
`boolean` | `jmsXml` jmsXml specifies whether the service will accept XML messages sent via Java Messaging Service.
`Protocol.SoapStyle` | `soapStyle` soapStyle specifies what style of SOAP messages the service will accept.

### formGet

    public abstract boolean formGet

  formGet specifies whether the service will accept data sent in HTTP GET format. The default setting is true.

  Default:
    true

### formPost

    public abstract boolean formPost

  formPost specifies whether the service will accept data sent in HTTP POST format. The default setting is true.

  Default:
    true

### httpSoap

    public abstract boolean httpSoap

  httpSoap specifies whether the service will accept SOAP messages sent via HTTP. The default setting is true.

  Default:
    true

### httpSoap12

    public abstract boolean httpSoap12

  httpSoap12 specifies whether the service will accept SOAP version 1.2 messages sent over HTTP. The default setting is false.

  Default:
    false

### httpXml

    public abstract boolean httpXml

  httpXml specifies whether the service will accept XML messages sent via HTTP. The default setting is false.

  Default:
    false

### jmsSoap

    public abstract boolean jmsSoap

  jmsSoap specifies whether the service will accept SOAP messages sent via Java Messaging Service. The default setting is false.

  Default:
    false

### jmsSoap12

    public abstract boolean jmsSoap12

  jmsSoap12 specifies whether the service will accept SOAP version 1.2 messages sent via JMS. The default setting is false.

  Default:
    false

### jmsXml

    public abstract boolean jmsXml

  jmsXml specifies whether the service will accept XML messages sent via Java Messaging Service. The default setting is false.

  Default:
    false

### javaCall

    public abstract boolean javaCall

  javaCall specifies that RMI calls are understood.

  Default:
    false

### soapStyle

    public abstract Protocol.SoapStyle soapStyle

  soapStyle specifies what style of SOAP messages the service will accept. You may need to set this attribute to make your web service agree with messages sent by other web services. The default setting is document.

  Default:
    DOCUMENT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT